## mgen 5.1.1+dfsg

=== debian/changelog ===
mgen (5.1.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Homepage
  * Fix watch file and use version 5

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #928831)
    + Let dh_auto_build pass cross tools to make.
    + Pass C++ compiler as CC.

  [ Jochem Kossen ]
  * Maintain package in Salvage team
    Closes: #1117034
  * Update to 5.1.1
  * Modernize packaging standards (Closes: #884168)

 -- Jochem Kossen <jochem@jkossen.nl>  Mon, 29 Sep 2025 13:23:25 +0200

mgen (5.02.b+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * mgen-doc: Drop unneeded Recommends:
    dwww | dhelp | rarian-compat | doc-central
    (Closes: #913372)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 09 Nov 2018 22:53:51 -0500

mgen (5.02.b+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 7. (Closes: #853547)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Oct 2018 18:19:57 +0200

mgen (5.02.b+dfsg1-2) unstable; urgency=medium

  * disabled building of mgen python module in debian/rules to
    avoid build dependency with python. If anybody needs the module
    please file a wishlist bug.

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Wed, 09 Mar 2016 13:51:03 +0100

mgen (5.02.b+dfsg1-1) unstable; urgency=medium

  * new upstream version
    - fixes mgen crashes (Closes: #716226)
    - builds with GCC 6 (Closes: #811638)
  * removed patches that were included by upstream
  * simplified build target 'get-orig-source'
  * fixed bug in watch file

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Wed, 24 Feb 2016 16:19:31 +0100

mgen (5.02+dfsg2-3) unstable; urgency=low

  * enable hardening flags in protolib/ (thanks to Simon Ruderich)
    (Closes: #665313)
  * changed "Recommends: mgen-doc" into "Suggests: mgen-doc" to
    avoid installing the doc-package by default (and thereby installing
    the complete web based debian help system)
  * put doc files in mgen-doc package in it's own directory in /usr/share/doc
    to get rid of lintian warning 'doc-package-depends-on-main-package'
  * bumped Standards-Version to 3.9.3

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Tue, 27 Mar 2012 22:53:25 +0200

mgen (5.02+dfsg2-2) unstable; urgency=low

  * Add patch fixing FTBFS on Ubuntu (thanks to Daniel T Chen)
    (Closes: #657820)
  * Add patch to fix dh_shlibdeps warning (thanks to Nicholas Bamber)
  * enable hardening flags (http://wiki.debian.org/ReleaseGoals)
  * Add patch to get rid of pointer-cast-size-mismatch warning
  * Add patch for kfreebsd port (thanks to Nicholas Bamber)

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Tue, 07 Feb 2012 12:39:11 +0100

mgen (5.02+dfsg2-1) unstable; urgency=low

  * removed unused waf script (Closes: #654490)
  * added get-orig-source target to debian/rules

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Sun, 08 Jan 2012 01:59:22 +0100

mgen (5.02+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #630498)

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Mon, 26 Sep 2011 16:12:53 +0200
