=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/USNavalResearchLaboratory/@PACKAGE@/releases?per_page=100
Matching-Pattern: https://github.com/[^"]*/src-@PACKAGE@@ANY_VERSION@-protolib@ARCHIVE_EXT@
DVersion-Mangle: auto
Repacksuffix: +dfsg
Searchmode: plain
