=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_build:
	cd mgen/makefiles && make -f Makefile.linux

override_dh_auto_clean:
	cd mgen/makefiles && make -f Makefile.linux clean

override_dh_installdocs:
	dh_installdocs --link-doc=mgen

override_dh_installchangelogs:
	dh_installchangelogs mgen/VERSION.TXT

%:
	dh $@
