## mgen 5.02+dfsg2

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://cs.itd.nrl.navy.mil/work/mgen/
 
 Package: mgen
 Architecture: any
-Recommends: mgen-doc
+Suggests: mgen-doc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: packet generator for IP network performance tests
  MGEN provides the ability to perform IP network performance tests
