## mgen 5.02.b%2Bdfsg1

=== debian/watch ===
version=3
opts=uversionmangle=s/([a-z])/\.$1/g,dversionmangle=s/\+dfsg\d*$// \
    http://downloads.pf.itd.nrl.navy.mil/mgen/src-mgen-(.+)\.tar\.gz \
    debian debian/repack.sh
