## mgen 5.02.b+dfsg1

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.7
 Homepage: http://cs.itd.nrl.navy.mil/work/mgen/
 
 Package: mgen
@@ -21,7 +21,6 @@
 Package: mgen-doc
 Architecture: all
 Section: doc
-Recommends: dwww | dhelp | rarian-compat | doc-central
 Depends: ${misc:Depends}
 Description: mgen user and reference guide
  This package contains the HTML documentation for MGEN, a packet generator
