## mgen 5.02.c+really5.1.1+dfsg

=== debian/changelog ===
mgen (5.02.c+really5.1.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Homepage
  * Fix watch file and use version 5

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #928831)
    + Let dh_auto_build pass cross tools to make.
    + Pass C++ compiler as CC.

  [ Jochem Kossen ]
  * Maintain package in Salvage team
    Closes: #1117034
  * Update to 5.1.1
  * Modernize packaging standards (Closes: #884168)
  * Use +really version to make it appear higher than 5.02.b

 -- Jochem Kossen <jochem@jkossen.nl>  Mon, 03 Nov 2025 20:55:32 +0200
