=== debian/control ===
--- 
+++ 
@@ -1,10 +1,19 @@
 Source: mgen
 Section: net
 Priority: optional
-Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Homepage: http://cs.itd.nrl.navy.mil/work/mgen/
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Raoul Gunnar Borenius <borenius@dfn.de>,
+           Jochem Kossen <jochem@jkossen.nl>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ libpcap-dev,
+ python3-all-dev,
+ python3-setuptools
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/salvage-team/mgen
+Vcs-Git: https://salsa.debian.org/salvage-team/mgen.git
+Homepage: https://www.nrl.navy.mil/Our-Work/Areas-of-Research/Information-Technology/NCS/MGEN/
 
 Package: mgen
 Architecture: any
@@ -25,4 +34,4 @@
 Description: mgen user and reference guide
  This package contains the HTML documentation for MGEN, a packet generator
  for IP network performance tests. It can also be found online at
- http://cs.itd.nrl.navy.mil/work/mgen/ .
+ https://github.com/USNavalResearchLaboratory/mgen/blob/master/doc/mgen.pdf .
