=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=mgen

ifeq ($(shell uname -s),GNU/kFreeBSD)
    MAKEFILE:=Makefile.freebsd
else
    MAKEFILE:=Makefile.linux
endif

override_dh_auto_build:
	dh_auto_build --sourcedirectory=makefiles --buildsystem=makefile -- -f $(MAKEFILE) CC='$$(CXX)'

override_dh_auto_clean:
	cd makefiles && make -f $(MAKEFILE) clean
	rm -rf build

# do not build the python module
override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs VERSION.TXT

%:
	dh $@ --buildsystem=pybuild
