=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/USNavalResearchLaboratory/@PACKAGE@/releases?per_page=100
Matching-Pattern: https://github.com/[^"]*/src-@PACKAGE@@ANY_VERSION@-protolib@ARCHIVE_EXT@
Dversion-Mangle: s/5\.02\.c\+really(\d+\.\d+\.\d+)/$1/;s/@DEB_EXT@//
Uversion-Mangle: s/^/5.02.c+really/
Repacksuffix: +dfsg
Searchmode: plain
